Skip to content
Snippets Groups Projects
Commit 11995d1f authored by Clemens Beck's avatar Clemens Beck Committed by Balasankar C
Browse files

Update prometheus from 2.38.0 to 2.43.0+stringlabels

Changelog: changed
parent cc3524ea
No related branches found
No related tags found
No related merge requests found
diff --git a/VERSION b/VERSION
index 7a25c70f90..f34083e034 100644
--- a/VERSION
+++ b/VERSION
@@ -1 +1 @@
-2.25.2
+2.25.2.1
diff --git a/web/web.go b/web/web.go
index bdc5c44e5c..374627a9e3 100644
--- a/web/web.go
+++ b/web/web.go
@@ -354,7 +354,7 @@ func New(logger log.Logger, o *Options) *Handler {
// Redirect the original React UI's path (under "/new") to its new path at the root.
router.Get("/new/*path", func(w http.ResponseWriter, r *http.Request) {
p := route.Param(r.Context(), "path")
- http.Redirect(w, r, path.Join(o.ExternalURL.Path, strings.TrimPrefix(p, "/new"))+"?"+r.URL.RawQuery, http.StatusFound)
+ http.Redirect(w, r, path.Join(o.ExternalURL.Path, p)+"?"+r.URL.RawQuery, http.StatusFound)
})
router.Get("/classic/alerts", readyf(h.alerts))
diff --git a/scripts/compress_assets.sh b/scripts/compress_assets.sh
index 58486089e..615e30c43 100755
--- a/scripts/compress_assets.sh
+++ b/scripts/compress_assets.sh
@@ -6,6 +6,11 @@ set -euo pipefail
cd web/ui
cp embed.go.tmpl embed.go
+
+GZIP_OPTS="-fk"
+# gzip option '-k' may not always exist in the latest gzip available on different distros.
+if ! gzip -k -h &>/dev/null; then GZIP_OPTS="-f"; fi
+
find static -type f -name '*.gz' -delete
-find static -type f -exec gzip -fk '{}' \; -print0 | xargs -0 -I % echo %.gz | xargs echo //go:embed >> embed.go
+find static -type f -exec gzip $GZIP_OPTS '{}' \; -print0 | xargs -0 -I % echo %.gz | xargs echo //go:embed >> embed.go
echo var EmbedFS embed.FS >> embed.go
Loading
Loading
@@ -20,7 +20,7 @@ require "#{Omnibus::Config.project_root}/lib/gitlab/version"
require "#{Omnibus::Config.project_root}/lib/gitlab/prometheus_helper"
 
name 'prometheus'
version = Gitlab::Version.new('prometheus', '2.38.0')
version = Gitlab::Version.new('prometheus', '2.43.0+stringlabels')
default_version version.print
 
license 'APACHE-2.0'
Loading
Loading
@@ -43,13 +43,8 @@ build do
 
prom_version = Prometheus::VersionFlags.new(version)
 
# CentOS 7 and Amazon Linux 2 ships gzip 1.5 which does not have `-k` flag to
# keep the files. Apply https://github.com/prometheus/prometheus/pull/11256 to
# work around the problem.
patch source: "gzip-k-flag.patch"
make 'build', env: env, cwd: cwd
command "go build -tags netgo,builtinassets -ldflags '#{prom_version.print_ldflags}' ./cmd/prometheus", env: env, cwd: cwd
command "go build -tags netgo,builtinassets,stringlabels -ldflags '#{prom_version.print_ldflags}' ./cmd/prometheus", env: env, cwd: cwd
 
mkdir "#{install_dir}/embedded/bin"
copy 'prometheus', "#{install_dir}/embedded/bin/prometheus"
Loading
Loading
Loading
Loading
@@ -196,3 +196,17 @@
:why: https://github.com/gl-gitaly/go-license-detector/blob/master/LICENSE.md
:versions: []
:when: 2023-03-01 19:37:02.484036831 Z
- - :license
- github.com/ovh/go-ovh
- BSD-3-Clause
- :who: Clemens Beck
:why: https://github.com/ovh/go-ovh/blob/master/LICENSE
:versions: []
:when: 2023-04-03 12:35:41.232698958 Z
- - :license
- github.com/hashicorp/nomad/api
- MPL2
- :who: Clemens Beck
:why: https://github.com/hashicorp/nomad/blob/main/LICENSE
:versions: []
:when: 2023-04-03 12:41:28.825087612 Z
0% Loading or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment